Redmine - Patch #13482
Do not add empty header/footer to notification emails
2013-03-15 01:31 - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 2.4.0

Description

Right now, even if | set the email header or footer to be empty, Redmine will still put them into the email. For HTML emails, that
means you still get a line like this in the HTML code:

<span class="header"><div style="white-space: pre-wrap;"></div></span>

For plain text emails, this means you still get "-- " followed by an empty line (actually, two, but that's another story) at the end of the
email. This latter point also means that if you want to disable the global footer, and tweak select mail templates to include a custom
footer, this clashes.

The attached patch is quite simple: It suppress output of any header related stuff (including the span element in the HTML) part if the
header is set to an empty string. Similar for the footer.

Associated revisions

Revision 11719 - 2013-04-18 02:29 - Toshi MARUYAMA

extend mail header test to text mail (#13482)

Revision 11720 - 2013-04-18 02:29 - Toshi MARUYAMA

add mail footer test (#13482)

Revision 11721 - 2013-04-18 02:58 - Toshi MARUYAMA

not add empty header/footer to notification emails (#13482)

Contributed by Max Horn.

Revision 11722 - 2013-04-18 03:09 - Toshi MARUYAMA

fix test name (#13482)

History

#1 - 2013-04-17 22:26 - Anonymous

It would be nice to know if the Redmine team is considering this for inclusion at all (and if so, whether / what kind of improvements are needed before

2021-10-18 1/2




this can be included), or considers it inappropriate (in which case this could be closed).

Thanks.

#2 - 2013-04-18 05:18 - Toshi MARUYAMA

- Status changed from New to Closed
- Target version set to 2.4.0

Committed in trunk, thanks.

#3 - 2013-04-18 11:20 - Anonymous

Thank you very much for this super quick reaction. | see that you also went to quite some trouble indeed, and even added some new tests for this.

Thank you again for that, too!

Note: if you just had told me that | should add some tests, | would have also done that, though it would have probably taken me much longer and | am
not sure if the result would have been good enough. Anyway, all | want to say is: Of course | fully understand if acceptance of a patch of mine is
delayed because its quality does not meet your standards (e.g. if tests should be added) -- as long as somebody briefly tells me that, | am fully willing

to work on improving my patches. But of course | won't complain if somebody else does the polishing for me, like you did.

So: Thanks yet again!

Files

suppress-empty-header-footer.patch 1.02 KB 2013-03-15 Anonymous
